Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.idea
[Java] Interface IdeaModule

    org.gradle.tooling.model.Element
      org.gradle.tooling.model.idea.IdeaModule
          org.gradle.tooling.model.HierarchicalElement
              org.gradle.tooling.model.HasGradleProject

All Superinterfaces:
  Element, HierarchicalElement, HasGradleProject

    public interface IdeaModule
    extends HasGradleProject, HierarchicalElement

Represents information about the IntelliJ IDEA module

Since:
  1.0-rc-1

Method Summary
`IdeaCompilerOutput` | `getCompilerOutput()` information about idea compiler output (output dirs, inheritance of output dir, etc.)
`DomainObjectSet` | `getContentRoots()` All content roots.
`DomainObjectSet` | `getDependencies()` dependencies of this module (i.e. module dependencies, library dependencies, etc.)
`GradleProject` | `getGradleProject()` The gradle project that is associated with this module.
`IdeaProject` | `getParent()` Returns the project of this module.
`IdeaProject` | `getProject()` Returns the project of this module.

Methods inherited from interface HierarchicalElement
getChildren, getParent

Methods inherited from interface HasGradleProject
getGradleProject

Method Detail

### getCompilerOutput

    public IdeaCompilerOutput getCompilerOutput()

  information about idea compiler output (output dirs, inheritance of output dir, etc.)

### getContentRoots

    public DomainObjectSet getContentRoots()

  All content roots. Most idea modules have a single content root.
  Returns:
    content roots

### getDependencies

    public DomainObjectSet getDependencies()

  dependencies of this module (i.e. module dependencies, library dependencies, etc.)
  Returns:
    dependencies

### getGradleProject

    public GradleProject getGradleProject()

  The gradle project that is associated with this module. Typically, a single module corresponds to a single gradle project.

  See HasGradleProject

  Returns:
    associated gradle project

### getParent

    public IdeaProject getParent()

  Returns the project of this module. Alias to getProject()
  Returns:
    idea project

### getProject

    public IdeaProject getProject()

  Returns the project of this module. Alias to getParent()
  Returns:
    idea project

Groovy Documentation